Subject: [PATCH] ARM: tegra: Enable CPUFreq support for Tegra124 Chromebooks

From: [email-masked] (Jon Hunter)
Date: Wed, 4 Nov 2015 13:23:00 +0000

On 04/11/15 12:19, Jon Hunter wrote:
> Correcting Mikko's email ...
> 
> On 04/11/15 12:16, Jon Hunter wrote:
>>
>> On 15/09/15 10:00, Tomeu Vizoso wrote:
>>> On 15 September 2015 at 10:12, Thierry Reding <[email-masked]> wrote:
>>>> On Thu, Sep 03, 2015 at 03:40:45PM +0200, Tomeu Vizoso wrote:
>>>>> On 13 July 2015 at 15:08, Jon Hunter <[email-masked]> wrote:
>>>>>> On 03/06/15 12:44, Jon Hunter wrote:
>>>>>>> Adding LAKML. Jon
>>>>>>>
>>>>>>> On 03/06/15 12:43, Jon Hunter wrote:
>>>>>>>> Add the device-tree DFLL clock node and CPU regulator phandle for
>>>>>>>> tegra124 chromebooks to enable CPUFreq support on these boards.
>>>>>
>>>>> Ping.
>>>>>
>>>>> Thanks,
>>>>
>>>> Sorry that this has gone unnoticed for so long. I've applied it now to
>>>> the for-4.4/dt branch.
>>>>
>>>> Tomeu, do you want me to add your Tested-by, Reviewed-by or Acked-by
>>>> before I push this out?
>>>
>>> I haven't done proper tests, but I have tested for several weeks a
>>> branch containing these changes on a nyan-big and have found no
>>> issues.
>>>
>>> You can add my Reviewed-by though. Sorry for not having made this clear.
>>
>> I have noticed that system suspend to LP1 is not working on the nyan-big
>> with linux-next and never exits suspend. It appears that this patch is
>> the culprit. I tested cpufreq was changing the frequency as expected but
>> I did not test suspend.

By the way, LP2 works fine with this change, it is just when LP1 is
enabled (which is the default).

Jon